@import "../../../_mixins.scss";
// @import "~react-table/react-table.css"; (New Component)

.dashboard {
  padding: 10px;
}

.configuration-dashboard {
  padding: 0 10px;

  h3 {
    padding-left: 5px;
  }

  .graph-heading {
    padding: 10px;
    display: flow-root;
    font-size: var(--font-xxxl);
    font-weight: 700;
    border-bottom: 1px solid #f1f0ee;
    background: #ffffff;
    text-align: center;
  }

  .dashboard-graph-no-data {
    background: #ffffff;
    height: 250px;
    padding-top: 15px;
    text-align: center;
  }

  .graph-box {
    padding-left: 5px;
    padding-right: 5px;
  }

  .dashboard-graph {
    background: #ffffff;
    padding-bottom: 20px;
    padding-top: 25px;
  }

  .dashboard-graph-img {
    background: #ffffff;
    height: 250px;
    padding-top: 15px;
  }

  .donut-inner {
    margin-top: -150px;
    text-align: center;
    span {
      font-weight: 500;
      font-size: x-large;
    }
  }
}
.rule-devices-list {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  width: 100%;
  .rule-devices-list__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .rule-devices-list__header-link {
      padding: 10px 40px 5px 40px;
      text-align: center;
      text-transform: uppercase;
      font-weight: bold;
    }
    .rule-devices-list__header-link--active {
      border-bottom: 2px solid var(--primary);
    }
  }
  .device-select {
    padding: 0 !important;
  }
  .header-device-List {
    font-weight: bold;
    font-size: var(--font-xxxl);
    padding: 5px 20px 0 15px;
  }
  label.field__label-label {
    color: #ccc !important;
  }
  .rule-name {
    font-weight: bold;
  }
  .rule-details {
    font-weight: 600;
  }
  .field-section {
    padding: 5px 15px;
  }
  .table-container {
    padding: 0;
  }
  .expandable {
    .rt-thead .rt-th,
    .rt-thead .rt-td {
      border-right: 1px solid rgba(0, 0, 0, 0.05);
      transition: box-shadow 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
      box-shadow: inset 0 0 0 0 transparent;
      padding-top: 13px;
      padding-bottom: 13px;
      text-align: left;
      display: flex;
      background: var(--header-bg);
      align-items: center;
    }

    .rt-tbody {
      overflow: unset;
      .rt-tr-group {
        .rt-tr {
          cursor: pointer;

          .rt-td {
            border-right: 0;
            padding-top: 12px;
            padding-bottom: 12px;
            display: flex;
            overflow: hidden;
            align-items: center;
          }

          &.-odd {
            background: var(--odd-row-bg);
            color: var(--odd-row-color);
          }

          &.-even {
            background: var(--even-row-bg);
            color: var(--even-row-color);
          }
          &:hover {
            background-color: #9e9e9e1f;
          }
        }
      }
    }
    .rule-voilation {
      border: 1px dotted #ccc;
      margin: 5px;
    }
    .command-single {
      border-bottom: 1px dotted #ccc;
    }
  }
}
// .left {
//     background: #cccccc26;
//     margin: 0 0 0 30px
// }
.rules-listing-dashboard {
  margin: 10px 0 0 0;
  img.status-svg-images {
    width: 20px;
  }
  .btn-group-left {
    padding: 0 15px 0 0;
    span > img {
      margin-right: 5px;
    }
  }
  .dashboard-rules-listing__table-header-search {
    max-width: 400px;
    min-width: 300px;
  }
  .heading-center {
    padding: 10px;
    font-size: var(--font-xxxxl);
    font-weight: 700;
    background: #ffffff;
    margin: 0 0 0 -35%;
  }
}

.icons-template {
  .rerun-compliance-action {
    .img {
      padding-left: 12px;
      filter: invert(100%);
      opacity: 0.6;
    }
  }
}

.device-select-row {
  width: 22px;
}
.devices-table-header {
  display: flex;
  flex-direction: column;

  .sub-heading {
    display: flex;
    justify-content: space-between;
    margin: 0px 0 5px 15px;
    align-items: center;
    .btn-primary {
      height: 32px;
      margin: 5px 0;
      img {
        height: 15px;
      }
    }
  }
}
